Package org.eclipse.microprofile.metrics.tck.cdi.stereotype

## Class StereotypeCountedClassBeanTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.cdi.stereotype.StereotypeCountedClassBeanTest

    public class StereotypeCountedClassBeanTest
    extends Object

### Constructor Summary

Constructors
`StereotypeCountedClassBeanTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createTestArchive()`
`void` `testPlainAnnotation()`
`void` `testWithMetadata()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StereotypeCountedClassBeanTest

    public StereotypeCountedClassBeanTest()

### Method Detail

#### createTestArchive

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createTestArchive()

#### testPlainAnnotation

    public void testPlainAnnotation()

#### testWithMetadata

    public void testWithMetadata()